API
PATCH /api/dm/threads/{thread_id}/archive
Archive Thread
PATCH /api/dm/threads/{thread_id}/archive
Archive Thread
Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
thread_id | path | string | Yes | - |
X-Org-ID | header | string | null | No | - |
Request body
A JSON request body is required.
| Field | Type | Required | Description |
|---|---|---|---|
archived | boolean | Yes | - |
Example request
curl -X PATCH https://api.cognitivx.io/api/dm/threads/{thread_id}/archive \
-H "Authorization: Bearer icog_..." \
-H "Content-Type: application/json" \
-d '{
"archived": false
}'Responses
| Status | Description |
|---|---|
204 | Success with no response body. |
422 | Request validation failed. detail lists each offending field. |